Subject: Re: pci32 code - early_*config*

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 17 Apr 2009 09:25:59 +0200

On Wed, 2009-04-15 at 01:17 -0500, Kumar Gala wrote:
> Ben,
> 
> I was looking at what I need to get some additional bits of PCI code  
> building w/your ppc64 booke patches.  One thing it looks like we need  
> is the early config cycle code.  The question I have is do we think we  
> still need the null_ops support?  Also do we think we every get called  
> with a NULL hose?
> 
> This is fake_pci_bus() in arch/powerpc/kernel/pci_32.c

Hrm.

I'm not fan of the early config stuff, remind me why we need it ?

Ben.